﻿using System.Activities.Presentation.Metadata;
using System.ComponentModel;
using TrainDataExtractor.Basic.TrainData;

namespace TrainDataExtractor
{
    public class DesignerMetadata : IRegisterMetadata
    {
        public void Register()
        {
            var builder = new AttributeTableBuilder();

            // Designers
            var simpleExtractorDesigner = new DesignerAttribute(typeof(TrainableExtractorDesigner));

            //Categories
            var extractorCategoryAttribute = new CategoryAttribute("Trainable Extractors");

           
            builder.AddCustomAttributes(typeof(TrainableExtractor), extractorCategoryAttribute);
            builder.AddCustomAttributes(typeof(TrainableExtractor), simpleExtractorDesigner);

            MetadataStore.AddAttributeTable(builder.CreateTable());
        }
    }
}
